tracker-extract(1)

NAME
tracker-extract - Extract metadata from a file.

SYNOPSYS
tracker-extract [OPTION...] FILE...

DESCRIPTION
tracker-extract reads the file and mimetype provided in stdin and extract the metadata from this file; then it displays the metadata on the standard output. NOTE: If a FILE is not provided then tracker-extract will run for 30 seconds waiting for DBus calls before quitting.

OPTIONS

-?, --help
    Show summary of options.

-v, --verbosity=N
    Set verbosity to N. This overrides the config value. Values include 0=errors, 1=minimal, 2=detailed and 3=debug.

-f, --file=FILE
    The FILE to extract metadata from. The FILE argument can be either a local path or a URI. It also does not have to be an absolute path.

-m, --mime=MIME
    The MIME type to use for the file. If one is not provided, it will be guessed automatically.

-d, --disable-shutdown
    Disable shutting down after 30 seconds of inactivity.

-i, --force-internal-extractors
    Use this option to force internal extractors over 3rd parties like libstreamanalyzer.

-m, --force-module=MODULE
    Force a particular module to be used. This is here as a convenience for developers wanting to test their MODULE file. Only the MODULE name has to be specified, not the full path. Typically, a MODULE is installed to /usr/lib/tracker-0.7/extract-modules/. This option can be used with or without the .so part of the name too, for example, you can use --force-module=foo Modules are shared objects which are dynamically loaded at run time. These files must have the .so suffix to be loaded and must contain the correct symbols to be authenticated by tracker-extract. For more information see the libtracker-extract reference documentation.

-V, --version
    Show binary version.

EXAMPLES

Using command line to extract metadata from a file:
    $ tracker-extract -v 3 -f /path/to/some/file.mp3

Using a specific module to extract metadata from a file:
    $ tracker-extract -v 3 -f /path/to/some/file.mp3 -m mymodule

ENVIRONMENT

TRACKER_EXTRACTORS_DIR
    This is the directory which tracker uses to load the shared libraries from (used for extracting metadata for specific file types). These are needed on each invocation of tracker-store. If unset it will default to the correct place. This is used mainly for testing purposes.

FILES
$HOME/.config/tracker/tracker-extract.cfg

SEE ALSO
tracker-store(1), tracker-sparql(1), tracker-stats(1), tracker-info(1).

tracker-extract.cfg(5).

/usr/lib/tracker-0.7/extract-modules/